(* Pervasives FS calls *)
let backslash_to_slash s =
  let s = Str.global_replace (Str.regexp "\\\\") "/" s in
  s

let perv_open_out s = open_out (String.lowercase (backslash_to_slash s)) ;;
let perv_open_out_gen m i s = open_out_gen m i (String.lowercase (backslash_to_slash s)) ;;
let perv_open_out_bin s = open_out_bin (String.lowercase (backslash_to_slash s)) ;;
let perv_open_in s = open_in (String.lowercase (backslash_to_slash s)) ;;
let perv_open_in_gen m i s = open_in_gen m i (String.lowercase (backslash_to_slash s)) ;;
let perv_open_in_bin s = open_in_bin (String.lowercase (backslash_to_slash s)) ;;

let unix_openfile s a b = Unix.openfile (String.lowercase (backslash_to_slash s)) a b ;;
let unix_stat s = Unix.stat (String.lowercase (backslash_to_slash s)) ;;
let unix_chmod s p = Unix.chmod (String.lowercase (backslash_to_slash s)) p ;;
let unix_unlink s = Unix.unlink (String.lowercase (backslash_to_slash s)) ;;
let unix_mkdir s p = Unix.mkdir (String.lowercase (backslash_to_slash s)) p ;;
let unix_opendir s = Unix.opendir (String.lowercase (backslash_to_slash s)) ;;
